Can't login to Chess.com app?

ljvankuiken
erik wrote:

Hi. Facebook changed their API so that older Android devices (4+ years old, usually) can no longer login. Also, those older devices do not have the latest SSL updates needed for the latest secure login, so when our infrastructure was upgraded, some devices are now unable to connect. We are working on a build to fix this for older devices, and expect to have news in the next 3 days. 

Thanks, @Erik! I'd hate to think I would need to spend ~$500 to keep using certain apps. This is more of a fault of the device manufacturers not being able to provide updates rather than that of the app developers.
Here is a good explanation of what's happening:
Where's my Android update?

Thanks again for supporting your users.

RonaldJosephCote

  And for all our Spanish members...wink.png                                                                 https://www.chess.com/forum/view/help-support/tienes-problemas-con-tu-android-no-puedes-iniciar

ChessCat80

App is working now. Thanks for the replies everyone!

fluffy_sauce

Becoming a beta tester didn't make the app work again or give me a download option and nothing changed after I uninstalled the app and joined the beta testing again. Only says "your device isn't compatible with this version". 

manekapa
fluffy_sauce wrote:

Becoming a beta tester didn't make the app work again or give me a download option and nothing changed after I uninstalled the app and joined the beta testing again. Only says "your device isn't compatible with this version". 

The Google Play Store says at minimum Android 4.4 is required.

What is your device's Android OS version?